Skip to Content
avatar image
Former Member

Need steps to upgrade old 6.20 kernel

We are running 4.7 x110 ABAP only on i5/OS V5R3M5 with kernel 6.20 level 1598.

Goal: We need to upgrade the i5/OS to V5R4.

Given: SAP kernel 6.20 is not supported past V5R3 per Note 410783.

We need to upgrade to SAP kernel 6.40.

In order to upgrade to the 6.40 kernel, we must apply the minimum levels of 6.20 support packages and related dependencies per Note 782140. We are currently at SAP BASIS 6.20, SAPKB62028.

In order to must apply the minimum levels of 6.20 support packages and related dependencies, we must have the latest version of SPAM/SAINT per Note 782140. We are currently at SPAM/SAINT version 6.20/0012.

In order to apply the new SPAM/SAINT versions, TP (we are at version 6.20, 1023) and R3TRANS (we are at version 6.20, 1024) must meet minimum requirements per Note 782140.

In order to apply the new TP (1943) and R3TRANS (1939), we must upgrade our current 6.20 kernel, the last version available is 1945.

I'm lost.

I have found the .car files at

https://websmp108.sap-ag.de/swdc
 SAP Software Distribution Center
  Download
   Support Packages and Patches
    Archive for Support Packages and Patches
     Entry by Application Group
      Additional Components
       SAP Kernel
        SAP KERNEL 64-BIT
         SAP KERNEL 6.20 64-BIT
          SAP KERNEL 6.20 64-BIT
           OS/400 V5R1M0
            DB2/400

But in this list, I don't see SAPEXE.CAR nor SAPEXEDB.CAR per Note 19466.

I have the Download Basket application installed on my PC and it is functional.

Which files do I need in order to totally upgrade my 6.20 kernel?

After I have downloaded them, how do I install them? Must they be installed one-at-a-time or is there some mass-install process?

I'm assuming from other postings that I have to somehow "uncar" them and get them to the System i before I can even start but I don't know how.

The last kernel upgrade I performed was years ago at 4.0B when SAPSERV was still active and it was as easy as copying the current kernel and using APYR3FIX command and the new version was ready to install.

The "new" methods don't seem to be spelled out anywhere, at least anywhere that I can find.

I'm not a stupid person, but I need step-by-step instructions so that I don't mess this up.

As information, we have a 6.40 kernel ready to apply when we can get to that point.

Any assistance is greatly appreciated.

Robert

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • Best Answer
    avatar image
    Former Member
    Mar 19, 2008 at 08:20 PM

    Hi Robert,

    you are really in bad luck ;-((((

    The best way would be as follows:

    - activate the 6.40 without the correct patches

    - try to start the system

    - spam update

    - SP update

    you might remember, that we talked on this issue about 6-12 months ago ?

    If you run into issue, we should fix it - more or less only TCP0C could have issues with locales ...

    I would strongly suggest a download kernel from us, as this works immediately .... dopr me a mail and I will provide you a link for free ...

    Regards

    Volker Gueldenpfennig, consolut international ag

    http://www.consolut.de - http://www.4soi.de - http://www.easymarketplace.de

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Mar 20, 2008 at 05:42 AM

    Hi,

    download the following file and update your 6.20 kernel

    DW_1945-10001706.SAR disp+work package 1945

    TP_1943-10001706.SAR TP 1943

    R3TRANS_1939-10001706.SAR R3trans 1939

    first upgrade disp + work package and then apply TP and R3trans to kernel.

    or you can apply 6.40 kernel

    regards,

    kaushal

    Add comment
    10|10000 characters needed characters exceeded